Debian Bug report logs - #646013
RFP: git-merge-changelog -- <missing description>

version graph

Package: src:gnulib; Maintainer for src:gnulib is Ian Beckwith <ianb@debian.org>;

Reported by: Christian Weiske <cweiske@cweiske.de>

Date: Thu, 20 Oct 2011 15:09:01 UTC

Severity: wishlist

Tags: patch

Found in version gnulib/20090908+c5c46dc-1

Fixed in version gnulib/20140202+stable-2

Done: Ian Beckwith <ianb@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Base Maintainers <virtual-pkg-base-maintainers@lists.alioth.debian.org>:
Bug#646013; Package base. (Thu, 20 Oct 2011 15:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Weiske <cweiske@cweiske.de>:
New Bug report received and forwarded. Copy sent to Base Maintainers <virtual-pkg-base-maintainers@lists.alioth.debian.org>. (Thu, 20 Oct 2011 15:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Weiske <cweiske@cweiske.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: base: provide package for git-merge-changelog
Date: Thu, 20 Oct 2011 16:42:20 +0200
Package: base
Severity: wishlist

I'd be nice if debian would ship a "git-merge-changelog" package that
installed the executable of the changelog merging driver for git (part of gnulib).

Code at:
> http://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=blob;f=lib/git-merge-changelog.c

Description:
> http://www.mail-archive.com/bug-gnulib@gnu.org/msg09183.html

gnulib is available, but it does not install a separate git-merge-changelog
executable that can be used in git projects.

-- System Information:
Debian Release: 6.0.3
  APT prefers stable
  APT policy: (700, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Bug reassigned from package 'base' to 'wnpp'. Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Thu, 20 Oct 2011 15:12:02 GMT) Full text and rfc822 format available.

Changed Bug title to '"Please package git-merge-changelog"' from 'base: provide package for git-merge-changelog' Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Thu, 20 Oct 2011 15:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#646013; Package wnpp. (Thu, 20 Oct 2011 15:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 20 Oct 2011 15:21:05 GMT) Full text and rfc822 format available.

Message #14 received at 646013@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Christian Weiske <cweiske@cweiske.de>, 646013@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: [Virtual-pkg-base-maintainers] Bug#646013: base: provide package for git-merge-changelog
Date: Thu, 20 Oct 2011 17:10:13 +0200
reassign 646013 wnpp
retitle 646013 "Please package git-merge-changelog"
thanks

Christian Weiske wrote:
> Package: base
> Severity: wishlist
> 
> I'd be nice if debian would ship a "git-merge-changelog" package that
> installed the executable of the changelog merging driver for git (part of gnulib).
> 
> Code at:
> > http://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=blob;f=lib/git-merge-changelog.c
> 
> Description:
> > http://www.mail-archive.com/bug-gnulib@gnu.org/msg09183.html
> 
> gnulib is available, but it does not install a separate git-merge-changelog
> executable that can be used in git projects.
> 
> -- System Information:
> Debian Release: 6.0.3
>   APT prefers stable
>   APT policy: (700, 'stable')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> 
> 
> _______________________________________________
> Virtual-pkg-base-maintainers mailing list
> Virtual-pkg-base-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/virtual-pkg-base-maintainers

-- 
 .''`.  Sell Crazy Someplace Else. We're all stocked up here
: :' :
`. `'
  `-                       Proudly running Debian GNU/Linux




Changed Bug title to '"RFP: git-merge-changelog"' from '"Please package git-merge-changelog"' Request was from Gergely Nagy <algernon@balabit.hu> to control@bugs.debian.org. (Thu, 20 Oct 2011 15:42:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: git-merge-changelog -- <missing description>' from '"RFP: git-merge-changelog"' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Tue, 10 Jan 2012 01:40:58 GMT) Full text and rfc822 format available.

Bug reassigned from package 'wnpp' to 'src:gnulib'. Request was from Samuel Bronson <naesten@gmail.com> to control@bugs.debian.org. (Wed, 06 Nov 2013 21:39:10 GMT) Full text and rfc822 format available.

Marked as found in versions gnulib/20090908+c5c46dc-1. Request was from Samuel Bronson <naesten@gmail.com> to control@bugs.debian.org. (Wed, 06 Nov 2013 21:39:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Beckwith <ianb@debian.org>:
Bug#646013; Package src:gnulib. (Thu, 07 Nov 2013 05:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Bronson <naesten@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ian Beckwith <ianb@debian.org>. (Thu, 07 Nov 2013 05:03:05 GMT) Full text and rfc822 format available.

Message #27 received at 646013@bugs.debian.org (full text, mbox):

From: Samuel Bronson <naesten@gmail.com>
To: 646013@bugs.debian.org
Cc: Samuel Bronson <naesten@gmail.com>
Subject: [PATCH 1/3] Don't hardcode gnulib directory in 01-gnulib-directory.patch. Instead, install gnulib-tool into the gnulib directory and symlink to it from /usr/bin, like the docs say to do.
Date: Wed, 6 Nov 2013 23:58:41 -0500
This will allow us to use gnulib-tool during the build, which we need
to do in the next patch.
---
 debian/changelog                         | 8 ++++++++
 debian/patches/01-gnulib-directory.patch | 9 ---------
 debian/rules                             | 6 ++++--
 gnulib-tool                              | 2 +-
 4 files changed, 13 insertions(+), 12 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 5ccdf79..3ea6fe1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+gnulib (20130805+stable-1.1) unstable; urgency=low
+
+  * Don't hardcode gnulib directory in 01-gnulib-directory.patch.
+    Instead, install gnulib-tool into the gnulib directory and symlink to
+    it from /usr/bin, like the docs say to do.
+
+ -- Samuel Bronson <naesten@gmail.com>  Wed, 06 Nov 2013 21:41:19 -0500
+
 gnulib (20130805+stable-1) unstable; urgency=low
 
   * Resumed making upstream snapshots - sorry about the gap.
diff --git a/debian/patches/01-gnulib-directory.patch b/debian/patches/01-gnulib-directory.patch
index 9cb8c48..951d970 100644
--- a/debian/patches/01-gnulib-directory.patch
+++ b/debian/patches/01-gnulib-directory.patch
@@ -22,12 +22,3 @@ Index: gnulib/gnulib-tool
  Copyright (C) $year Free Software Foundation, Inc.
  License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
  This is free software: you are free to change and redistribute it.
-@@ -453,7 +454,7 @@
-       * ) self_abspathname=`echo "$self_abspathname" | sed -e 's,/[^/]*$,,'`/"$linkval" ;;
-     esac
-   done
--  gnulib_dir=`echo "$self_abspathname" | sed -e 's,/[^/]*$,,'`
-+  gnulib_dir=/usr/share/gnulib
- }
- 
- # func_tmpdir
diff --git a/debian/rules b/debian/rules
index 5e8c258..72a1cae 100755
--- a/debian/rules
+++ b/debian/rules
@@ -12,11 +12,13 @@ override_dh_auto_build:
 
 override_dh_auto_install:
 	mkdir -p debian/gnulib/usr/bin
-	cp -a check-module gnulib-tool debian/gnulib/usr/bin
+	cp -a check-module debian/gnulib/usr/bin
 
 	mkdir -p debian/gnulib/usr/share/gnulib
 	cp -a build-aux posix-modules config doc lib m4 modules top tests \
-              MODULES.html.sh Makefile debian/gnulib/usr/share/gnulib
+	      MODULES.html.sh Makefile gnulib-tool \
+	      debian/gnulib/usr/share/gnulib
+	ln -s ../share/gnulib/gnulib-tool debian/gnulib/usr/bin
 
 	# Fixing permissions
 	chmod 0755 debian/gnulib/usr/share/gnulib/build-aux/config.guess
diff --git a/gnulib-tool b/gnulib-tool
index 84be8a7..e33073f 100755
--- a/gnulib-tool
+++ b/gnulib-tool
@@ -454,7 +454,7 @@ func_gnulib_dir ()
       * ) self_abspathname=`echo "$self_abspathname" | sed -e 's,/[^/]*$,,'`/"$linkval" ;;
     esac
   done
-  gnulib_dir=/usr/share/gnulib
+  gnulib_dir=`echo "$self_abspathname" | sed -e 's,/[^/]*$,,'`
 }
 
 # func_tmpdir
-- 
1.8.4.rc3




Information forwarded to debian-bugs-dist@lists.debian.org, Ian Beckwith <ianb@debian.org>:
Bug#646013; Package src:gnulib. (Thu, 07 Nov 2013 05:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Bronson <naesten@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ian Beckwith <ianb@debian.org>. (Thu, 07 Nov 2013 05:03:08 GMT) Full text and rfc822 format available.

Message #32 received at 646013@bugs.debian.org (full text, mbox):

From: Samuel Bronson <naesten@gmail.com>
To: 646013@bugs.debian.org
Cc: Samuel Bronson <naesten@gmail.com>
Subject: [PATCH 2/3] Build and package git-merge-changelog (Closes: #646013).
Date: Wed, 6 Nov 2013 23:58:42 -0500
The method seems kind of ridiculous to me, but that's the documented
way to do things...

Since debhelper doesn't expect the --sourcedirectory to be created as
part of the build process, we arrange for it to be created ahead of
time by placing an empty .gitignore file in it.  (It could have been
any file whose name started with a ., but .gitignore seems to be
semi-idiomatic for this purpose.)
---
 debian/changelog |  1 +
 debian/control   | 14 +++++++++++++-
 debian/rules     | 15 ++++++++++++---
 utils/.gitignore |  0
 4 files changed, 26 insertions(+), 4 deletions(-)
 create mode 100644 utils/.gitignore

diff --git a/debian/changelog b/debian/changelog
index 3ea6fe1..d070c5b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,7 @@ gnulib (20130805+stable-1.1) unstable; urgency=low
   * Don't hardcode gnulib directory in 01-gnulib-directory.patch.
     Instead, install gnulib-tool into the gnulib directory and symlink to
     it from /usr/bin, like the docs say to do.
+  * Package git-merge-changelog (Closes: #646013).
 
  -- Samuel Bronson <naesten@gmail.com>  Wed, 06 Nov 2013 21:41:19 -0500
 
diff --git a/debian/control b/debian/control
index 6ec4caa..011a5f9 100644
--- a/debian/control
+++ b/debian/control
@@ -2,7 +2,8 @@ Source: gnulib
 Section: devel
 Priority: optional
 Maintainer: Ian Beckwith <ianb@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), texinfo
+Build-Depends: dpkg-dev (>= 1.16.2), debhelper (>= 7.0.50~), autoconf, automake
+Build-Depends-Indep: texinfo
 Standards-Version: 3.9.4
 Homepage: http://www.gnu.org/software/gnulib/
 Vcs-Browser: http://erislabs.net/gitweb?p=gnulib.git
@@ -16,3 +17,14 @@ Description: GNU Portability Library
  The GNU portability library is a macro system and C declarations and
  definitions for commonly-used API elements and abstracted system behaviors. It
  can be used to improve portability and other functionality in your programs.
+
+Package: git-merge-changelog
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: git merge driver for GNU ChangeLog files
+ ChangeLog files *always* foul up most version control systems in
+ their default configuration.
+ .
+ git-merge-changelog is a tool from gnulib designed to help with this
+ for the case of GNU-style ChangeLogs; it can be used with at least
+ git, bzr, and hg.
diff --git a/debian/rules b/debian/rules
index 72a1cae..1de52a3 100755
--- a/debian/rules
+++ b/debian/rules
@@ -1,16 +1,25 @@
 #!/usr/bin/make -f
 
 %:
-	dh ${@}
+	dh ${@} --sourcedirectory=utils
 
 override_dh_auto_clean:
 	$(MAKE) -C doc clean
+	rm -rf utils/*
+	dh_auto_clean
 
-override_dh_auto_build:
+override_dh_auto_configure-arch:
+	./gnulib-tool --create-testdir --dir=utils git-merge-changelog
+	dh_auto_configure
+
+override_dh_auto_install-arch:
+	dh_auto_install --destdir=debian/git-merge-changelog
+
+override_dh_auto_build-indep:
 	$(MAKE) -C doc info
 	$(MAKE) -C doc html
 
-override_dh_auto_install:
+override_dh_auto_install-indep:
 	mkdir -p debian/gnulib/usr/bin
 	cp -a check-module debian/gnulib/usr/bin
 
diff --git a/utils/.gitignore b/utils/.gitignore
new file mode 100644
index 0000000..e69de29
-- 
1.8.4.rc3




Information forwarded to debian-bugs-dist@lists.debian.org, Ian Beckwith <ianb@debian.org>:
Bug#646013; Package src:gnulib. (Thu, 07 Nov 2013 05:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Bronson <naesten@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ian Beckwith <ianb@debian.org>. (Thu, 07 Nov 2013 05:03:12 GMT) Full text and rfc822 format available.

Message #37 received at 646013@bugs.debian.org (full text, mbox):

From: Samuel Bronson <naesten@gmail.com>
To: 646013@bugs.debian.org
Cc: Samuel Bronson <naesten@gmail.com>
Subject: [PATCH 3/3] Override for lintian getting confused by example GFDL blurbs
Date: Wed, 6 Nov 2013 23:58:43 -0500
---
 debian/changelog                | 1 +
 debian/source/lintian-overrides | 4 ++++
 2 files changed, 5 insertions(+)
 create mode 100644 debian/source/lintian-overrides

diff --git a/debian/changelog b/debian/changelog
index d070c5b..2ee3998 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,6 +4,7 @@ gnulib (20130805+stable-1.1) unstable; urgency=low
     Instead, install gnulib-tool into the gnulib directory and symlink to
     it from /usr/bin, like the docs say to do.
   * Package git-merge-changelog (Closes: #646013).
+  * Override for lintian getting confused by example GFDL blurbs.
 
  -- Samuel Bronson <naesten@gmail.com>  Wed, 06 Nov 2013 21:41:19 -0500
 
diff --git a/debian/source/lintian-overrides b/debian/source/lintian-overrides
new file mode 100644
index 0000000..5810d14
--- /dev/null
+++ b/debian/source/lintian-overrides
@@ -0,0 +1,4 @@
+# There are *examples* of gfdl-with-invariants here, but the file's
+# own license blurb does not declare any invariant sections or cover
+# texts.
+license-problem-gfdl-invariants doc/maintain.texi
-- 
1.8.4.rc3




Added tag(s) patch. Request was from Samuel Bronson <naesten@gmail.com> to control@bugs.debian.org. (Thu, 07 Nov 2013 05:03:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Beckwith <ianb@debian.org>:
Bug#646013; Package src:gnulib. (Fri, 08 Nov 2013 05:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Bronson <naesten@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ian Beckwith <ianb@debian.org>. (Fri, 08 Nov 2013 05:39:05 GMT) Full text and rfc822 format available.

Message #44 received at 646013@bugs.debian.org (full text, mbox):

From: Samuel Bronson <naesten@gmail.com>
To: 646013@bugs.debian.org
Cc: Samuel Bronson <naesten@gmail.com>
Subject: [PATCH 4/5] Don't need tests or real copies when building git-merge changelog
Date: Fri, 8 Nov 2013 00:34:50 -0500
Consequently, don't install tests, and populate our "test" tree with
symlinks.  It seems to save build time, though I neglected to actually
measure it before hand

(BTW, the gnulib-tool manpage seems not to cover all of the current
flags.)
---
 debian/rules | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/debian/rules b/debian/rules
index 1de52a3..1dec219 100755
--- a/debian/rules
+++ b/debian/rules
@@ -9,7 +9,8 @@ override_dh_auto_clean:
 	dh_auto_clean
 
 override_dh_auto_configure-arch:
-	./gnulib-tool --create-testdir --dir=utils git-merge-changelog
+	./gnulib-tool --create-testdir --without-tests -S \
+		--dir=utils git-merge-changelog
 	dh_auto_configure
 
 override_dh_auto_install-arch:
-- 
1.8.4.rc3




Information forwarded to debian-bugs-dist@lists.debian.org, Ian Beckwith <ianb@debian.org>:
Bug#646013; Package src:gnulib. (Fri, 08 Nov 2013 05:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Bronson <naesten@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ian Beckwith <ianb@debian.org>. (Fri, 08 Nov 2013 05:39:07 GMT) Full text and rfc822 format available.

Message #49 received at 646013@bugs.debian.org (full text, mbox):

From: Samuel Bronson <naesten@gmail.com>
To: 646013@bugs.debian.org
Cc: Samuel Bronson <naesten@gmail.com>
Subject: [PATCH 5/5] Bump debelper compat level to 9 for hardening flags
Date: Fri, 8 Nov 2013 00:34:51 -0500
---
 debian/changelog | 1 +
 debian/compat    | 2 +-
 debian/control   | 2 +-
 3 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 2ee3998..e5432da 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,6 +5,7 @@ gnulib (20130805+stable-1.1) unstable; urgency=low
     it from /usr/bin, like the docs say to do.
   * Package git-merge-changelog (Closes: #646013).
   * Override for lintian getting confused by example GFDL blurbs.
+  * Bump debhelper compat level to 9 for hardening flags.
 
  -- Samuel Bronson <naesten@gmail.com>  Wed, 06 Nov 2013 21:41:19 -0500
 
diff --git a/debian/compat b/debian/compat
index 7f8f011..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-7
+9
diff --git a/debian/control b/debian/control
index 011a5f9..38d84bf 100644
--- a/debian/control
+++ b/debian/control
@@ -2,7 +2,7 @@ Source: gnulib
 Section: devel
 Priority: optional
 Maintainer: Ian Beckwith <ianb@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.2), debhelper (>= 7.0.50~), autoconf, automake
+Build-Depends: dpkg-dev (>= 1.16.2), debhelper (>= 9), autoconf, automake
 Build-Depends-Indep: texinfo
 Standards-Version: 3.9.4
 Homepage: http://www.gnu.org/software/gnulib/
-- 
1.8.4.rc3




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#646013; Package src:gnulib. (Mon, 20 Jan 2014 00:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Beckwith <ianb@debian.org>:
Extra info received and forwarded to list. (Mon, 20 Jan 2014 00:42:04 GMT) Full text and rfc822 format available.

Message #54 received at 646013@bugs.debian.org (full text, mbox):

From: Ian Beckwith <ianb@debian.org>
To: 646013@bugs.debian.org, Samuel Bronson <naesten@gmail.com>
Subject: git-merge-changelog
Date: Mon, 20 Jan 2014 00:29:17 +0000
[Message part 1 (text/plain, inline)]
Hi,

Thanks for the patches, I'll review them properly when I do the next
stable snapshot (hopefully in the next couple of weeks)

ftpmaster might complain about such a tiny package, but expecting people
to install all of gnulib just to get git-merge-changelog is a bit harsh.

cheers,

Ian.

-- 
Ian Beckwith - ianb@debian.org - ianb@erislabs.net - http://erislabs.net/ianb/
GPG fingerprint: AF6C C0F1 1E74 424B BCD5  4814 40EC C154 A8BA C1EA
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Beckwith <ianb@debian.org>:
Bug#646013; Package src:gnulib. (Sun, 16 Feb 2014 23:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Beckwith <ianb@erislabs.net>:
Extra info received and forwarded to list. Copy sent to Ian Beckwith <ianb@debian.org>. (Sun, 16 Feb 2014 23:18:09 GMT) Full text and rfc822 format available.

Message #59 received at 646013@bugs.debian.org (full text, mbox):

From: Ian Beckwith <ianb@erislabs.net>
To: 646013@bugs.debian.org, Samuel Bronson <naesten@gmail.com>
Subject: git-merge-changelog
Date: Sun, 16 Feb 2014 23:07:12 +0000
[Message part 1 (text/plain, inline)]
Hi,

Update: I've just uploaded the new snapshot but (temporarily) without
your patches.  When it's made it's way to testing, I'll do another
upload with your patches included.

Adding a new package means a (potentially long) trip through the NEW
queue, so I thought I'd get the basic snapshot into testing first.

cheers,

Ian.

-- 
Ian Beckwith - ianb@erislabs.net - http://erislabs.net/ianb/
GPG fingerprint: AF6C C0F1 1E74 424B BCD5  4814 40EC C154 A8BA C1EA
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ian Beckwith <ianb@debian.org>:
You have taken responsibility. (Tue, 04 Mar 2014 11:03:13 GMT) Full text and rfc822 format available.

Notification sent to Christian Weiske <cweiske@cweiske.de>:
Bug acknowledged by developer. (Tue, 04 Mar 2014 11:03:13 GMT) Full text and rfc822 format available.

Message #64 received at 646013-close@bugs.debian.org (full text, mbox):

From: Ian Beckwith <ianb@debian.org>
To: 646013-close@bugs.debian.org
Subject: Bug#646013: fixed in gnulib 20140202+stable-2
Date: Tue, 04 Mar 2014 11:00:07 +0000
Source: gnulib
Source-Version: 20140202+stable-2

We believe that the bug you reported is fixed in the latest version of
gnulib, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646013@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ian Beckwith <ianb@debian.org> (supplier of updated gnulib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 02 Mar 2014 23:04:10 +0000
Source: gnulib
Binary: gnulib git-merge-changelog
Architecture: source all amd64
Version: 20140202+stable-2
Distribution: unstable
Urgency: low
Maintainer: Ian Beckwith <ianb@debian.org>
Changed-By: Ian Beckwith <ianb@debian.org>
Description: 
 git-merge-changelog - git merge driver for GNU ChangeLog files
 gnulib     - GNU Portability Library
Closes: 646013 728933
Changes: 
 gnulib (20140202+stable-2) unstable; urgency=low
 .
   * New package: git-merge-changelog (Closes: #646013).
   * Thanks to Samuel Bronson <naesten@gmail.com> for
     the git-merge-changelog patches:
     + debian/ changes for git-merge-changelog.
     + Don't hardcode gnulib directory in 01-gnulib-directory.patch.
       Instead, install gnulib-tool into the gnulib directory and symlink to
       it from /usr/bin, like the docs say to do.
     + Bump debhelper compat level to 9 for hardening flags.
   * Man page for git-merge-changelog adapted
     from comments at the top of git-merge-changelog.c
   * Remove duplicate copies of documentation (Closes: #728933).
   * Tweak list of top-level files installed.
   * doc-base: add Format: Info version of manual.
Checksums-Sha1: 
 62971adf4045124f7d44def3a3ce414d7ce17ea0 1397 gnulib_20140202+stable-2.dsc
 375aa115ccff0ffd47d746b4a88305a500b70410 288192 gnulib_20140202+stable-2.debian.tar.xz
 c6c61bdb90e63304292fcb23bebb9241787db881 4566278 gnulib_20140202+stable-2_all.deb
 31c5d12ff53dbd900e256a97ad2639e666b89778 951454 git-merge-changelog_20140202+stable-2_amd64.deb
Checksums-Sha256: 
 354a237028f5b9065c3dfcc88cfa40032a96a0dc2d8b7a62423ed87237ac6b6e 1397 gnulib_20140202+stable-2.dsc
 9226b860b74d8810fa1aeab5d9a93045892730bde85f048210823d0d1c14f309 288192 gnulib_20140202+stable-2.debian.tar.xz
 39112eda53adb62c7f62d8453e924be9b88a6a5312adf332bb726610e26ceee1 4566278 gnulib_20140202+stable-2_all.deb
 ad5c89f831094c2f4a1c267f92cb4906084025589da31600b4b8c5248f02f978 951454 git-merge-changelog_20140202+stable-2_amd64.deb
Files: 
 f7991659cc4166a24c3b600afe1f9178 1397 devel optional gnulib_20140202+stable-2.dsc
 32ebcd268f48be6ab5260f514a78c0ed 288192 devel optional gnulib_20140202+stable-2.debian.tar.xz
 60094ff5aad0333c95a65fdd93f7d9d2 4566278 devel optional gnulib_20140202+stable-2_all.deb
 90a8a2047a9bc8fd35bc36ce7a9139bc 951454 devel optional git-merge-changelog_20140202+stable-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: http://erislabs.net/ianb/key/

iEYEARECAAYFAlMUgkAACgkQQOzBVKi6wepsjgCdE+DSvgEiBHxTVwCgedh39U1p
jp8An09aNNH1LN4I/u+1c4Sd3efSaNe9
=gWJ9
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Apr 2014 07:25:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:04:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.